# Learn how to contribute to ETH 2.0!

Lighthouse is an Ethereum 2.0 client built in Rust.

If you are interested in contributing to the Ethereum ecosystem, and you want to learn Rust, Lighthouse is a great project to work on.

Initially this doc will contain reading material to help get you started in Rust and Ethereum. Eventually it will have guides specific to Lighthouse.

## Learn Rust

* [The Rust Programming Language](https://doc.rust-lang.org/book/2018-edition/index.html)
* [Learning Rust With Entirely Too Many Linked Lists](http://cglab.ca/~abeinges/blah/too-many-lists/book/)
* [Rustlings](https://github.com/rustlings/rustlings) - Small exercises to get you used to reading and writing Rust code.
* [Rust Exercism](https://exercism.io/tracks/rust) - 88 exercises to learn Rust.

## Learn Ethereum

#### General Ethereum Resources
* [What is Ethereum](http://ethdocs.org/en/latest/introduction/what-is-ethereum.html)
* [Ethereum Introduction](https://github.com/ethereum/wiki/wiki/Ethereum-introduction)

#### Ethereum 2.0
* [Ethereum 2.0 Spec - Casper and Sharding](https://github.com/ethereum/eth2.0-specs/blob/master/specs/beacon-chain.md)

#### Sharding

* [How to Scale Ethereum: Sharding Explained](https://medium.com/prysmatic-labs/how-to-scale-ethereum-sharding-explained-ba2e283b7fce)

#### Casper

* [Proof of Stake - Casper FFG](https://www.youtube.com/watch?v=uQ3IqLDf-oo)
* [Beacon Casper Chain](https://www.youtube.com/watch?v=GAywmwGToUI)

### TODO
- add reading material as we discover.
- start developing guides specific to lighthouse.
